curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/wallets/deposits \
--header 'Authorization: Bearer <token>'{
"count": 1,
"records": [
{
"userId": "f4c99c2f-ce05-4f61-8ed6-9064a5689197",
"id": "2e084846-00d6-5e4c-806f-eac45e197108",
"createdAt": "2025-06-25T15:47:16.983978+00:00",
"updatedAt": "2025-06-25T15:47:16.983978+00:00",
"wallet": {
"id": "24b4917d-694e-4d81-ace8-9ba5261b6f4e",
"address": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"chain": "POLYGON",
"walletType": "INDIVIDUAL"
},
"transaction": {
"transactionHash": "0xe5284c4cb35ae9b5eb0ae23b840032f320b87b63f8967ee9b67ee09dfe6a194a",
"chain": "POLYGON",
"currency": "usdc",
"status": "COMPLETED",
"sourceAddress": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"destinationAddress": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"contractAddress": "0x41E94Eb019C0762f9Bfcf9Fb1E58725BfB0e7582",
"amount": "19",
"unitAmount": "19000000"
}
}
],
"nextCursor": "2025-06-25T15:47:16.983978+00:00"
}Get inbound deposits for a user’s wallet
curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/wallets/deposits \
--header 'Authorization: Bearer <token>'{
"count": 1,
"records": [
{
"userId": "f4c99c2f-ce05-4f61-8ed6-9064a5689197",
"id": "2e084846-00d6-5e4c-806f-eac45e197108",
"createdAt": "2025-06-25T15:47:16.983978+00:00",
"updatedAt": "2025-06-25T15:47:16.983978+00:00",
"wallet": {
"id": "24b4917d-694e-4d81-ace8-9ba5261b6f4e",
"address": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"chain": "POLYGON",
"walletType": "INDIVIDUAL"
},
"transaction": {
"transactionHash": "0xe5284c4cb35ae9b5eb0ae23b840032f320b87b63f8967ee9b67ee09dfe6a194a",
"chain": "POLYGON",
"currency": "usdc",
"status": "COMPLETED",
"sourceAddress": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"destinationAddress": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"contractAddress": "0x41E94Eb019C0762f9Bfcf9Fb1E58725BfB0e7582",
"amount": "19",
"unitAmount": "19000000"
}
}
],
"nextCursor": "2025-06-25T15:47:16.983978+00:00"
}Documentation Index
Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the user
The blockchain network to retrieve the wallet balance from.
POLYGON, ETHEREUM, SOLANA, BASE, TRON The type of currency to check the balance for.
usdc, usdt, usdg, pyusd Status of the deposit, CONFIRMED indicates the deposit is found in the blockchain, COMPLETED indicates the deposit is completed and unlikely to be reverted.
CONFIRMED, COMPLETED ISO format: YYYY-MM-DD
ISO format: YYYY-MM-DD
default to 10, maximum to 100
Minimum amount of the deposit, default is 0.01